html {
    margin: 0;
    padding: 0;
}

/* Chrome, Safari, Opera, and modern Edge */
body::-webkit-scrollbar {
    display: none;
}

body {
    margin: 0;
    padding: 0;
    overflow-x: scroll;
    max-width: 100vw;
    background: #f5f5f5;
    background: clip linear-gradient(180deg,rgba(255, 255, 255, 1) 0%, rgba(245, 245, 245, 1) 100%);
}

a {
    margin: 0;
}

h4 {
    margin: 0;
    margin-bottom: 0.5rem;
    padding: 0;
}
p {
    margin: 0;
    margin-top: 0.5rem;
    padding: 0;
    font-size: 10pt;
}

.clickable {
    cursor: pointer;
    user-select: none;
}


.slide-up-element {
  animation: slideUpAppear 0.6s cubic-bezier(0.16, 1, 0.3, 1) backwards;
}

@keyframes slideUpAppear {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.main-content {
    height: 0px;
    overflow: hidden;
    margin: 0;
    padding: 0;
    transition: all 0.5s cubic-bezier(0.19, 1, 0.22, 1);
    transform: translateX(80%) scaleX(50%);

}

.home-page .main-content {
    height: auto;
    transform: translateX(0%) scaleX(100%);
}

.post-content {
    opacity: 0;
    transition: all 0.5s cubic-bezier(0.19, 1, 0.22, 1) 0.15s;
}

.post-page .post-content {
    opacity: 1;
}

.header {
    display: flex;
    padding: 2rem;
    flex: 1;
    flex-direction: column;
    overflow: hidden;
    text-align: left;
    font-family: 'Azeret Mono';
}

.header h1 {
    margin: 0;
}

.header h3 {
    font-weight: 100;
    max-width: 90%;
}

#projects-grid {
    padding: 2rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-template-rows: auto;
    gap: 1rem;
    justify-content: center;
}

.project {
    height: 300px;
    background-color: white;
    border-radius: 2px;
    border: 1px solid black;
    position: relative;

    cursor: pointer;
    user-select: none;

    transition: all 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.project:hover {
    transform: scale(1.02);
}

.project-img {
    display: flex;
    height: 200px;
}

.project-bottom {
    height: 100px;
    width: calc(100% - 2rem);
    overflow: hidden;
    flex-direction: column;
    position: absolute;
    bottom: 0;
    background-color: white;
    font-family: 'Azeret Mono';


    padding: 1rem;
}

.tags {
    position: absolute;
    top: 0;
    right: 0.25rem;
    padding: 0.25rem;

    background-color: black;
    color: white;
    font-family: 'Azeret Mono';
    opacity: 0.8;

    transition: all 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.date {
    position: absolute;
    top: 0;
    left: 0.25rem;
    font-family: 'Azeret Mono';

    background-color: white;
    color: black;
    opacity: 0;

    transition: all 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.project:hover .date, .project:hover .tags {
    opacity: 1;
}

.post-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.post-content-body {
    padding: 2rem;
    padding-top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: left;
    font-family: 'Azeret Mono';
}

.post-content-body p {
    line-height: 1.75;
    font-size: 13pt;
    padding-bottom: 10rem;
}

.post-content-body code {
    padding: 0.5rem;
    background-color: lightgray;
}

#post-image {
    width: 80vw;
    height: 40vh; max-width: 600px;
    margin-bottom: 2rem;
}

.post-image {
    background: url() center / cover no-repeat;
    background-size: 100% auto;
    width: 80vw;
    height: 40vh; max-width: 600px;
    margin-top: 1rem;
    align-self: center;
    justify-self: center;
}

h4 {
    font-size: 11pt;
}